##############################################################################
#
# Copyright (c) 2008-2009 SIA "KN dati". (http://kndati.lv) All Rights Reserved.
#                    General contacts <info@kndati.lv>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

import wizard
from osv import osv
import pooler

_form = '''<?xml version="1.0"?>
<form string="Transport Management Configuration">
	<field name="req_users" colspan="2" height="200"/>
</form>'''

def _load_data(self, cr, uid, data, ctx={}):
	pool = pooler.get_pool(cr.dbname)
	obj = pool.get('trans.request_config')
	id = obj.search(cr, uid, [])
	if len(id) != 0:
		config = obj.read(cr, uid, id, {})[0]
		if len(config) > 1:
			data['form']['req_users'] = config['req_users']
		form = data['form']
	return data['form']

def _save_data(self, cr, uid, data, context):
	pool = pooler.get_pool(cr.dbname)
	obj = pool.get('trans.request_config')
	id = obj.search(cr, uid, [])
	if not id:
		obj.create(cr, uid, data['form'])
	else:
		obj.write(cr, uid, id, data['form'])
	return {}

_fields = {
	'req_users': {'string':'Work Team','type': 'many2many','relation': 'hr.timesheet.group'}
}

class wiz_insuranse(wizard.interface):
	states = {
		'init': {
			'actions': [_load_data],
			'result': {'type': 'form', 'arch':_form, 'fields':_fields, 'state':[('end','Cancel'),('save','Save')]}
		},
		'save': {
			'actions': [_save_data],
			'result': {'type':'state', 'state':'end'}
		}
	}
wiz_insuranse('tr.vechicle_insuranse.wizard')

